Page MenuHomePhabricator

[Story] Move RDF ontology from beta to release status
Closed, ResolvedPublic

Description

Once the RDF mapping has stabilized, we have to move ontology prefix from:

@prefix wikibase: <http://wikiba.se/ontology-beta#> .

to

@prefix wikibase: <http://wikiba.se/ontology#> .

This is the task to track the change and assign bugs that block it to it.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterUpdate RDF for new ontology without beta
mediawiki/extensions/Wikibase : masterMove ontology to http://wikiba.se/ontology# from beta
mediawiki/extensions/WikibaseLexeme : masterTeporarily disable tests with ontology to avoid circular dependency

Event Timeline

Smalyshev raised the priority of this task from to Normal.
Smalyshev updated the task description. (Show Details)
Smalyshev added subscribers: Smalyshev, daniel.
Restricted Application added a project: Discovery. · View Herald TranscriptSep 10 2015, 4:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JanZerebecki renamed this task from Move RDF ontology from beta to release status to [Story] Move RDF ontology from beta to release status.Sep 10 2015, 6:38 PM
JanZerebecki set Security to None.
JanZerebecki moved this task from incoming to monitoring on the Wikidata board.

Change 269357 had a related patch set uploaded (by Smalyshev):
Move ontology to http://wikiba.se/ontology# from beta

https://gerrit.wikimedia.org/r/269357

Ping @Lydia_Pintscher, @daniel - at what point do we want to declare it's not beta anymore?

@Addshore What do you say? From my side we should move but I'm not sure what all will break and whom we need to notify.

So, any objections? @daniel ?

I don't have objections. Any clients that have ontology uris hard-coded will break, there is no way to avoid this.

We could provide same-as triples that map the old to the new uris. That would be nice, and in *theory* that means we stay backwards compatible. But very few RDF consumers do oven the most basic types of inference, so I don't think it will hep much in practice.

Still, it would be good to have that for completeness.

Well, for classes and properties, one would use owl:equivalentClass and owl:equivalentProperty rather than sameAs to encode this point. But I agree that this will hardly be considered by any consumer.

Any clients that have ontology uris hard-coded will break, there is no way to avoid this.

I guess we should announce this on the list in advance.

Well, for classes and properties, one would use owl:equivalentClass and owl:equivalentProperty rather than sameAs to encode this point.

Our OWL file actually has this:

!DOCTYPE rdf:RDF [
  <!ENTITY xsd "http://www.w3.org/2001/XMLSchema#">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY owl "http://www.w3.org/2002/07/owl#">
  <!ENTITY wikibase "http://wikiba.se/ontology#">
]>

Even though our RDF is generated with:

@prefix wikibase: <http://wikiba.se/ontology-beta#>.

So if somebody is using our OWL definitions, they already should have some means to reconcile this.

Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.Oct 17 2018, 10:08 PM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Oct 17 2018, 10:39 PM

Change 468183 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Teporarily disable tests with ontology to avoid circular dependency

https://gerrit.wikimedia.org/r/468183

Change 468184 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Update RDF for new ontology without beta

https://gerrit.wikimedia.org/r/468184

I've made the announcement, I think we can wait for a week or so to give people chance to raise objections (there shouldn't be any, but just in case) and then we can merge it.

@Lucas_Werkmeister_WMDE given that we haven't had much progress with T99907 since 3 years ago, and any change there would be incremental, I don't think we should block on it. If we make a sprint on it and have the resolution soon (like, before 2019) I definitely can hold the 1.0 point, but otherwise I don't see a reason to wait for years for it.

Excluding the above, I think we're now ready to move with this. Patches needed here:

(in this order). Once it's merged, I'll make another announcement on the lists.

I posted a new suggestion on T99907 a few days ago, but that suggestion is also backwards compatible, so if we go with that we don’t need to worry about the ontology version anyways.

WikibaseLexeme patches +2ed, I’ll leave the Wikibase patch to more knowledgeable folks.

Change 468183 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Teporarily disable tests with ontology to avoid circular dependency

https://gerrit.wikimedia.org/r/468183

Change 269357 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move ontology to http://wikiba.se/ontology# from beta

https://gerrit.wikimedia.org/r/269357

Change 468184 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Update RDF for new ontology without beta

https://gerrit.wikimedia.org/r/468184

Smalyshev moved this task from In review to Done on the User-Smalyshev board.Nov 13 2018, 6:14 PM
Smalyshev closed this task as Resolved.Nov 16 2018, 10:36 PM
Smalyshev claimed this task.

This is done.